using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.Dicom.DTO;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Core.Application.Contracts.Image
{
    public interface IStudyDTFService
    {
        IResponseOutput AddStudyDTF(StudyDTFAddOrUpdateCommand studyDtfAddOrUpdate);
        IResponseOutput DeleteStudyDTF(Guid studyDTFId );

        List<StudyDTFDTO> GetStudyDtfdtos(Guid triaId, string studyInstanceUid);

    }
}